> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Team ETL Pipelines

> Delete org team ETL pipelines via the Junction API. Requires authentication with your team API key.

<Info>
  [Junction Management API](/api-details/junction-management-api) is available for [the Scale plan](https://tryvital.io/pricing).
</Info>

<Tip>
  The base URL of this endpoint is `https://api.management.junction.com/`.

  The endpoint accepts only [Management Key](/api-details/junction-management-api#authentication) (`X-Management-Key`).
  Team API Key is not accepted.
</Tip>

<RequestExample>
  ```bash cURL theme={null}
  curl --request DELETE \
    --url https://api.management.junction.com/v1/org/{org_id}/team_etl_pipelines/{env}/{region} \
    --header 'X-Vital-Org-Key: <api-key>'
  ```
</RequestExample>


## OpenAPI

````yaml delete /v1/org/{org_id}/team_etl_pipelines/{env}/{region}
openapi: 3.1.0
info:
  title: Org Management
  version: 0.1.0
servers:
  - url: https://api.management.junction.com
    description: Production Management API server
security:
  - ManagementKey: []
paths:
  /v1/org/{org_id}/team_etl_pipelines/{env}/{region}:
    delete:
      tags:
        - Team ETL Pipeline
      summary: Delete Team Etl Pipelines
      operationId: >-
        delete_team_etl_pipelines_v1_org__org_id__team_etl_pipelines__env___region__delete
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
        - name: env
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/Env'
        - name: region
          in: path
          required: true
          schema:
            type: string
            enum:
              - us
              - eu
            title: Region
        - name: team_id
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              format: uuid
            title: Team Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ClientFacingETLPipeline'
                title: >-
                  Response Delete Team Etl Pipelines V1 Org  Org Id  Team Etl
                  Pipelines  Env   Region  Delete
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Env:
      type: string
      enum:
        - production
        - sandbox
      title: Env
    ClientFacingETLPipeline:
      properties:
        team_id:
          type: string
          format: uuid
          title: Team Id
        push_historical_data:
          type: boolean
          title: Push Historical Data
          default: false
        provider_raw_data:
          type: boolean
          title: Provider Raw Data
          default: false
        preferences:
          $ref: '#/components/schemas/EventDestinationPreferences'
        cloud_pubsub:
          anyOf:
            - $ref: '#/components/schemas/EventDestinationCloudPubSubAttributes'
            - type: 'null'
        rabbitmq:
          anyOf:
            - $ref: '#/components/schemas/EventDestinationRabbitMQAttributes'
            - type: 'null'
        svix:
          anyOf:
            - $ref: '#/components/schemas/EventDestinationSvixAttributes'
            - type: 'null'
        azure_amqp:
          anyOf:
            - $ref: '#/components/schemas/EventDestinationAzureAMQPAttributes-Output'
            - type: 'null'
        event_type_prefixes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Event Type Prefixes
          description: >-
            An allowlist of event type prefixes.             Note that both an
            empty list and null are interpreted as allow-all.
      type: object
      required:
        - team_id
        - preferences
      title: ClientFacingETLPipeline
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EventDestinationPreferences:
      properties:
        preferred:
          type: string
          enum:
            - cloud_pubsub
            - rabbitmq
            - svix
            - azure_amqp
          title: Preferred
        enabled:
          items:
            type: string
            enum:
              - cloud_pubsub
              - rabbitmq
              - svix
              - azure_amqp
          type: array
          title: Enabled
      type: object
      required:
        - preferred
        - enabled
      title: EventDestinationPreferences
    EventDestinationCloudPubSubAttributes:
      properties:
        project:
          type: string
          title: Project
        topic:
          type: string
          title: Topic
        message_ordering:
          type: boolean
          title: Message Ordering
      type: object
      required:
        - project
        - topic
        - message_ordering
      title: EventDestinationCloudPubSubAttributes
    EventDestinationRabbitMQAttributes:
      properties:
        uri:
          type: string
          title: Uri
        exchange:
          type: string
          title: Exchange
      type: object
      required:
        - uri
        - exchange
      title: EventDestinationRabbitMQAttributes
    EventDestinationSvixAttributes:
      properties:
        regional:
          type: boolean
          const: true
          title: Regional
          default: true
          deprecated: true
      type: object
      title: EventDestinationSvixAttributes
    EventDestinationAzureAMQPAttributes-Output:
      properties:
        connection_string:
          type: string
          title: Connection String
        default_event_hub:
          type: string
          title: Default Event Hub
          description: >-
            The default Event Hub to use when none of the `event_hub_matchers`
            matches.
        event_hub_matchers:
          items:
            $ref: '#/components/schemas/EventDestinationEventHubMatcher'
          type: array
          title: Event Hub Matchers
          description: >-
            A list of matchers to route event types to specific Event Hubs.


            String prefix matching is used, and the matchers are evaluated in
            array order.

            If an event matches none of the matchers, it falls back to
            `default_event_hub`.
        compression:
          type: string
          enum:
            - always
            - auto
          title: Compression
          description: >-
            `auto` mode compresses only payload blobs above a threshold
            (currently 1 KiB).

            For all compressed payloads, Vital adds `Content-Encoding: gzip` to
            the

            `EventData.Properties` of the event.


            `always` mode compresses all blobs regardless of their size.
          default: auto
      type: object
      required:
        - connection_string
        - default_event_hub
      title: EventDestinationAzureAMQPAttributes
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EventDestinationEventHubMatcher:
      properties:
        event_type_prefix:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Type Prefix
          description: >-
            Match event types by prefix. If set, `event_type_regex` must not be
            specified.
        event_type_regex:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Type Regex
          description: >-
            Match event types by Google RE2. If set, `event_type_prefix` must
            not be specified.
        event_hub:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Hub
          description: >-
            The destination event hub for matched event types. If set,
            `blob_storage` must not be specified
        blob_storage:
          anyOf:
            - $ref: '#/components/schemas/EventDestinationAzureBlobStorage'
            - type: 'null'
          description: >-
            The destination blob storage for matched event types. If set,
            `event_hub` must not be specified
      type: object
      title: EventDestinationEventHubMatcher
    EventDestinationAzureBlobStorage:
      properties:
        connection_string:
          type: string
          title: Connection String
        container_name:
          type: string
          title: Container Name
      type: object
      required:
        - connection_string
        - container_name
      title: EventDestinationAzureBlobStorage
  securitySchemes:
    ManagementKey:
      type: apiKey
      in: header
      name: X-Management-Key

````